<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		/*const Human = function(name, age) {
			this.name = name;
			this.age = age;
		}
		const someArray = []
		someArray[0] = new Human("person1", 67)
		someArray[1] = new Human("person2", 13)
		someArray[2] = new Human("person3", 24)
		someArray[3] = new Human("person4", 51)
		someArray[4] = new Human("person5", 32)
		const nA = [25, 7, 8, 41]
		someArray.sort(function(a,b) {
			return a.age - b.age
		})
		for(i=0; i<someArray.length; i++) {
			document.write(someArray[i].age + "<br />")
		}*/


		const Human = function(name, age, job) {
			this.name = name; //экземпляр
			this.age = age; //экземпляр
			this.job = job; //экземпляр
		}
		//методы нельзя делать уровня экземпляра, по этому вынесем их в прототипы.
		Human.prototype.changeWork = function(nameOfNewJob) {
			this.job = nameOfNewJob
		}
		let maksym = new Human("Maksym", 27, "Main Chef")
		document.write(maksym.job + "<br />")
		maksym.changeWork("Global Logic")
		document.write(maksym.job + "<br />")

	</script>
</body>
</html>